package edu.sc.seis.cormorant;

import org.omg.CORBA.ORB;

import edu.sc.seis.fissuresUtil.namingService.FissuresNamingService;

/**
 * Instances of Controller must have a constructor with arguments:<br/>
 * Properties props, String serverPropName, ORB orb
 * 
 * Created on Jan 13, 2005
 */
public interface Controller {

    public String getServerPropName();
    
    public void start(ORB orb, FissuresNamingService ns) throws Exception;

    public void stop(ORB orb, FissuresNamingService ns) throws Exception;
    
    public void destroy() throws Exception;
}